## aegean 0.13.0+dfsg

=== Makefile ===
#---Begin configuration---#
#---Begin configuration---#

prefix=/usr/local

#----End configuration----#
#----End configuration----#

SHELL := bash

# Binaries
PE_EXE=bin/parseval
CN_EXE=bin/canon-gff3
LP_EXE=bin/locuspocus
GV_EXE=bin/gaeval
XT_EXE=bin/xtractore
RP_EXE=bin/pmrna
TD_EXE=bin/tidygff3
UT_EXE=bin/unittests
INSTALL_BINS=$(PE_EXE) $(CN_EXE) $(LP_EXE) $(GV_EXE) $(XT_EXE) $(RP_EXE) $(TD_EXE)
BINS=$(INSTALL_BINS) $(UT_EXE)

#----- Source, header, and object files -----#

# AEGeAn core class and module files
AGN_SRCS=$(wildcard src/core/Agn*.c)
AGN_OBJS=$(patsubst src/core/%.c,obj/%.o,$(AGN_SRCS))
AGN_HDRS=$(patsubst src/core%.c,inc/core/%.h,$(AGN_SRCS))

# Compilation settings
CC=gcc
CFLAGS=-Wall -DAGN_DATA_PATH='"$(prefix)/share/aegean"' -Wno-unused-result
GTFLAGS=prefix=$(prefix)
ifeq ($(cairo),no)
  CFLAGS += -DWITHOUT_CAIRO
  GTFLAGS += cairo=no
endif
ifneq ($(errorcheck),no)
  CFLAGS += -Werror
endif
ifeq ($(optimize),yes)
  CFLAGS += -O3
endif
ifneq ($(64bit),no)
  CFLAGS += -m64
  GTFLAGS += 64bit=yes
endif
ifneq ($(debug),no)
  CFLAGS += -g
endif
LDFLAGS=-lgenometools -lm \
        -L$(prefix)/lib \
        -L/usr/local/lib
ifdef lib
  LDFLAGS += -L$(lib)
endif
INCS=$(shell pkg-config --silence-errors --cflags-only-I cairo) \
     -I inc/core \
     -I /usr/local/include/genometools \
     -I $(prefix)/include/genometools
ifeq ($(memcheck),yes)
  MEMCHECK=valgrind --leak-check=full --show-reachable=yes --error-exitcode=1 \
                    --suppressions=data/misc/libpixman.supp \
                    --suppressions=data/misc/libpango.supp
  MEMCHECKFT=memcheck
endif

# Targets
all:		$(BINS) libaegean.a
		

install:	all
		@ mkdir -p $(prefix)/bin/
		@ mkdir -p $(prefix)/lib/
		@ mkdir -p $(prefix)/include/aegean/
		@ mkdir -p $(prefix)/share/aegean/
		@ rm -f $(prefix)/include/aegean/*
		cp $(INSTALL_BINS) $(prefix)/bin/.
		cp libaegean.a $(prefix)/lib/.
		cp inc/core/*.h $(prefix)/include/aegean/.
		cp -r data/share/* $(prefix)/share/aegean/.

install-scripts:
		@ mkdir -p $(prefix)/bin/
		cp data/scripts/*.p? $(prefix)/bin/.

uninstall:	
		for exe in $(INSTALL_BINS); do rm -r $(prefix)/$$exe; done
		rm -r $(prefix)/include/aegean/
		rm -r $(prefix)/share/aegean/
		rm $(prefix)/lib/libaegean.a

clean:		
		rm -rf $(BINS) libaegean.a $(AGN_OBJS) inc/core/AgnVersion.h bin/*.dSYM

$(AGN_OBJS):	obj/%.o : src/core/%.c inc/core/%.h inc/core/AgnVersion.h
		@- mkdir -p obj
		@ echo "[compile $*]"
		@ $(CC) $(CFLAGS) $(INCS) -c -o $@ $<

$(PE_EXE):	src/ParsEval/parseval.c src/ParsEval/pe_options.c src/ParsEval/pe_utils.c src/ParsEval/pe_options.h src/ParsEval/pe_utils.h $(AGN_OBJS)
		@ mkdir -p bin
		@ echo "[compile ParsEval]"
		@ $(CC) $(CFLAGS) $(INCS) -I src/ParsEval -o $@ $(AGN_OBJS) src/ParsEval/parseval.c src/ParsEval/pe_options.c src/ParsEval/pe_utils.c $(LDFLAGS)

$(CN_EXE):	src/canon-gff3.c $(AGN_OBJS)
		@ mkdir -p bin
		@ echo "[compile CanonGFF3]"
		@ $(CC) $(CFLAGS) $(INCS) -o $@ $(AGN_OBJS) src/canon-gff3.c $(LDFLAGS)

$(LP_EXE):	src/locuspocus.c $(AGN_OBJS)
		@ mkdir -p bin
		@ echo "[compile LocusPocus]"
		@ $(CC) $(CFLAGS) $(INCS) -o $@ $(AGN_OBJS) src/locuspocus.c $(LDFLAGS)

$(GV_EXE):	src/gaeval.c $(AGN_OBJS)
		@ mkdir -p bin
		@ echo "[compile GAEVAL]"
		@ $(CC) $(CFLAGS) $(INCS) -o $@ $(AGN_OBJS) src/gaeval.c $(LDFLAGS)

$(XT_EXE):	src/xtractore.c $(AGN_OBJS)
		@ mkdir -p bin
		@ echo "[compile Xtractore]"
		@ $(CC) $(CFLAGS) $(INCS) -o $@ $(AGN_OBJS) src/xtractore.c $(LDFLAGS)

$(RP_EXE):	src/pmrna.c $(AGN_OBJS)
		@ mkdir -p bin
		@ echo "[compile $@]"
		@ $(CC) $(CFLAGS) $(INCS) -o $@ $(AGN_OBJS) src/pmrna.c $(LDFLAGS)

$(TD_EXE):	src/tidygff3.c $(AGN_OBJS)
		@ mkdir -p bin
		@ echo "[compile $@]"
		@ $(CC) $(CFLAGS) $(INCS) -o $@ $(AGN_OBJS) src/tidygff3.c $(LDFLAGS)

$(UT_EXE):	test/unittests.c $(AGN_OBJS)
		@ mkdir -p bin
		@ echo "[compile unit tests]"
		@ $(CC) $(CFLAGS) $(INCS) -o $@ $(AGN_OBJS) test/unittests.c $(LDFLAGS)

libaegean.a:	$(AGN_OBJS)
		@ echo "[create libaegean]"
		@ ar ru libaegean.a $(AGN_OBJS)

inc/core/AgnVersion.h:	
			@- echo "[print $@]"
			@ data/scripts/version.py > $@

test:		agn-test
		

agn-test:	all
		@ $(MEMCHECK) bin/unittests
		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends --verbose data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends --verbose --idformat=GrapeLocus%03lu data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --verbose data/gff3/dmel-pseudofeat-sort-test-in.gff3 2> >(grep -v 'not unique')
		@ $(MEMCHECK) bin/tidygff3 < data/gff3/grape-refr.gff3 > /dev/null
		@ echo AEGeAn Functional Tests
		@ test/AT1G05320.sh $(MEMCHECKFT)
		@ test/FBgn0035002.sh $(MEMCHECKFT)
		@ test/iLocusParsing.sh $(MEMCHECKFT)
		@ test/xtractore-ft.sh $(MEMCHECKFT)
		@ test/canon-gff3-ft.sh $(MEMCHECKFT)
		@ test/gaeval-ft.sh $(MEMCHECKFT)
		@ test/AmelOGSvsNCBI.sh $(MEMCHECKFT)
		@ test/align-convert.sh
		@ test/misc-ft.sh $(MEMCHECKFT)

=== debian/changelog ===
aegean (0.13.0+dfsg-1) unstable; urgency=low

  * New upstream release. 

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 28 Jul 2015 08:50:09 +0000

aegean (0.10.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #769162)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 11 Nov 2014 11:14:11 +0000

=== debian/control ===
Source: aegean
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libcairo2-dev,
               libgenometools0-dev,
               python,
               git
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/aegean/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/aegean/trunk/
Homepage: http://standage.github.io/AEGeAn

Package: aegean
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-mootools,
         libgenometools0
Description: integrated genome analysis toolkit
 The AEGeAn Toolkit is designed for the Analysis and Evaluation of Genome
 Annotations. The toolkit includes a variety of analysis programs, e.g. for
 comparing distinct sets of gene structure annotations (ParsEval), computation
 of gene loci (LocusPocus) and more.

Package: aegean-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         aegean (= ${binary:Version})
Description: integrated genome analysis toolkit, with debug symbols
 This package contains debug information stripped from AEGeAn.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DH_VERBOSE=1
DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
OVERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')
export DESTDIR=$(CURDIR)/debian/tmp

BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
ifeq ($(BITS),64)
  64BIT:=yes
else
  64BIT:=no
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build --parallel -- prefix=$(DESTDIR) 64bit=$(64BIT) errorcheck=no

override_dh_auto_test:
	#dh_auto_test -- useshared=yes 64bit=$(64BIT) testthreads=5

override_dh_auto_install:
	dh_auto_install -- 64bit=$(64BIT) prefix=$(DESTDIR)

override_dh_strip:
	dh_strip --dbg-package=aegean-dbg

override_dh_installdocs:
	cp $(CURDIR)/README.md $(CURDIR)/README
	dh_installdocs

get-orig-source:
	uscan --verbose --force-download --repack --compression xz --destdir=..
	mv ../aegean_$(OVERSION).orig.tar.xz ../aegean_$(VERSION).orig.tar.xz

## aegean 0.15.1%2Bdfsg

=== debian/changelog ===
aegean (0.15.1+dfsg-3) unstable; urgency=low

  [ Jon Ison, Steffen Moeller, Sascha Steinbiss ]
  * Added EDAM annotation.

  [ Sascha Steinbiss ]
  * Migrate package to Git

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 07 Feb 2016 08:55:37 +0000

aegean (0.15.1+dfsg-2) unstable; urgency=medium

  * Remove broken archs, as revealed by newly added tests.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 09 Jan 2016 18:28:59 +0000

aegean (0.15.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 09 Jan 2016 14:16:31 +0000

aegean (0.14.1+dfsg2-2) unstable; urgency=low

  * d/rules: build w/o parallelism, set LC_ALL
  * patch Makefile to remove nondeterminism

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 29 Nov 2015 19:19:01 +0000

aegean (0.14.1+dfsg2-1) unstable; urgency=medium

  * Exclude DataTables JS source, add Depends to new package
    Closes: #798900
  * Remove now redundant Lintian override

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 27 Nov 2015 22:35:59 +0000

aegean (0.14.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 10 Oct 2015 09:43:34 +0000

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
 OVERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')
 export DESTDIR=$(CURDIR)/debian/tmp
+export LC_ALL=C.UTF-8
 
 BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
 ifeq ($(BITS),64)
@@ -15,13 +16,13 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
-	dh_auto_build --parallel -- prefix=$(DESTDIR) 64bit=$(64BIT) errorcheck=no
+	dh_auto_build -- prefix=$(DESTDIR) 64bit=$(64BIT) errorcheck=no
 
 override_dh_auto_test:
-	#dh_auto_test -- useshared=yes 64bit=$(64BIT) testthreads=5
+	dh_auto_test -- useshared=yes 64bit=$(64BIT) testthreads=5
 
 override_dh_auto_install:
 	dh_auto_install -- 64bit=$(64BIT) prefix=$(DESTDIR)

=== debian/tests/control ===
Tests: functional-tests
Depends: @, python

## aegean 0.15.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,17 @@
                python,
                git
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/aegean/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/aegean/trunk/
+Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/aegean.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/aegean.git
 Homepage: http://standage.github.io/AEGeAn
 
 Package: aegean
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libjs-jquery,
+         libjs-jquery-datatables,
          libjs-mootools,
          libgenometools0
 Description: integrated genome analysis toolkit
@@ -27,7 +29,7 @@
  of gene loci (LocusPocus) and more.
 
 Package: aegean-dbg
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 x32
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends},

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/standage/AEGeAn/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## aegean 0.15.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #---Begin configuration---#
 #---Begin configuration---#
 
-prefix=/usr/local
+prefix?=/usr/local
 
 #----End configuration----#
 #----End configuration----#
@@ -23,7 +23,7 @@
 #----- Source, header, and object files -----#
 
 # AEGeAn core class and module files
-AGN_SRCS=$(wildcard src/core/Agn*.c)
+AGN_SRCS=$(sort $(wildcard src/core/Agn*.c))
 AGN_OBJS=$(patsubst src/core/%.c,obj/%.o,$(AGN_SRCS))
 AGN_HDRS=$(patsubst src/core%.c,inc/core/%.h,$(AGN_SRCS))
 
@@ -34,6 +34,7 @@
 ifeq ($(cairo),no)
   CFLAGS += -DWITHOUT_CAIRO
   GTFLAGS += cairo=no
+  CAIROFT=cairo=no
 endif
 ifneq ($(errorcheck),no)
   CFLAGS += -Werror
@@ -48,7 +49,7 @@
 ifneq ($(debug),no)
   CFLAGS += -g
 endif
-LDFLAGS=-lgenometools -lm \
+LDFLAGS=-lgenometools -lm -ldl \
         -L$(prefix)/lib \
         -L/usr/local/lib
 ifdef lib
@@ -63,6 +64,8 @@
                     --suppressions=data/misc/libpixman.supp \
                     --suppressions=data/misc/libpango.supp
   MEMCHECKFT=memcheck
+else
+  MEMCHECKFT=nomemcheck
 endif
 
 # Targets
@@ -155,7 +158,7 @@
 		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
 		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
 		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends --verbose data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
-		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends --verbose --idformat=GrapeLocus%03lu data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
+		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends --verbose --namefmt=GrapeLocus%03lu data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
 		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --verbose data/gff3/dmel-pseudofeat-sort-test-in.gff3 2> >(grep -v 'not unique')
 		@ $(MEMCHECK) bin/tidygff3 < data/gff3/grape-refr.gff3 > /dev/null
 		@ echo AEGeAn Functional Tests
@@ -165,7 +168,7 @@
 		@ test/xtractore-ft.sh $(MEMCHECKFT)
 		@ test/canon-gff3-ft.sh $(MEMCHECKFT)
 		@ test/gaeval-ft.sh $(MEMCHECKFT)
-		@ test/AmelOGSvsNCBI.sh $(MEMCHECKFT)
+		@ test/AmelOGSvsNCBI.sh $(MEMCHECKFT) $(CAIROFT)
 		@ test/align-convert.sh
 		@ test/misc-ft.sh $(MEMCHECKFT)

=== debian/changelog ===
aegean (0.15.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop patches applied upstream.
  * Add override for pedantic Lintian msg.
  * d/watch: make watchfile more robust
  * d/rules: drop unneeded get-orig-source target
  * d/rules: enable full hardening
  * d/rules: use DEB_TARGET_ARCH_BITS
  * d/control: bump standards version

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 20 Mar 2016 11:31:05 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libgenometools0-dev,
                python,
                git
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/aegean.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/aegean.git

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 OVERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')
 export DESTDIR=$(CURDIR)/debian/tmp
 export LC_ALL=C.UTF-8
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
+BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')
 ifeq ($(BITS),64)
   64BIT:=yes
 else
@@ -33,7 +34,3 @@
 override_dh_installdocs:
 	cp $(CURDIR)/README.md $(CURDIR)/README
 	dh_installdocs
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz --destdir=..
-	mv ../aegean_$(OVERSION).orig.tar.xz ../aegean_$(VERSION).orig.tar.xz

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://github.com/standage/AEGeAn/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## aegean 0.16.0%2Bdfsg

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://github.com/BrendelGroup/AEGeAn/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## aegean 0.16.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/AEGeAn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/AEGeAn.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/AEGeAn"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/AEGeAn"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
aegean (0.16.0+dfsg-5) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 06 Oct 2025 21:27:09 +0200

aegean (0.16.0+dfsg-5~exp0) experimental; urgency=medium

  [ Dandan Zhang ]
  * Append loong64 support in d/control.
    Closes: #1109688
  * Do not use -m64 CFLAGS on loongarch64.

  [ Sascha Steinbiss ]
  * Bump Standards-Version.
  * Fix building with GCC 15.
    Closes: #1096281

 -- Sascha Steinbiss <satta@debian.org>  Fri, 01 Aug 2025 14:42:11 +0200

aegean (0.16.0+dfsg-4) unstable; urgency=medium

  * Remove explicit runtime dependency on libgenometools0.
    Closes: #1068178
  * Add d/copyright information for debian/ directory.
  * Bump Standards-Version.
  * Add Rules-Requires-Root: no.
  * Update debhelper compat level to 13.
  * Only list files not installed.
  * Adjust renamed lintian tag overrides.
  * Bump watchfile version to 4.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 01 Apr 2024 19:49:51 +0200

aegean (0.16.0+dfsg-3) unstable; urgency=medium

  * Ensure multiple builds can be done in same directory.
    Done by ensuring the directory is cleaned correctly.
    Closes: #1043943

 -- Sascha Steinbiss <satta@debian.org>  Wed, 15 Nov 2023 11:32:13 +0100

aegean (0.16.0+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.

  [ Andreas Tille ]
  * Standards-Version: 4.4.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Do not parse d/changelog
  * Use 2to3 to convert from Python2 to Python3
    Closes: #936109
  * Drop git from Build-Depends
  * Drop redundant debian/README.source
  * debhelper-compat 12
  * Use secure URI in Homepage field.
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 09 Sep 2019 18:52:15 +0200

aegean (0.16.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update watchfile to reflect move to BrendelGroup org.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 05 Oct 2018 18:03:42 +0200

aegean (0.15.2+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix and adjust upstream metadata.

  [ Steffen Moeller ]
  * Fix EDAM annotations.

  [ Sascha Steinbiss ]
  * Update Uploader email address.
  * Use debhelper 11.
  * Use secure d/copyright format link.
  * Bump Standards-Version.
  * Update Vcs-* fields with Salsa addresses.
  * Replace priority extra with optional.
  * Remove unnecessary Testsuite field.
  * Drop unused patch files.
  * Drop -dbg package.
  * Fix naming of lintian override.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 04 Jul 2018 18:20:29 +0200

=== debian/control ===
Source: aegean
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libcairo2-dev,
               libgenometools0-dev,
               python3
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/aegean
Vcs-Git: https://salsa.debian.org/med-team/aegean.git
Homepage: https://standage.github.io/AEGeAn

Package: aegean
Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 x32 loong64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-jquery-datatables,
         libjs-mootools
Description: integrated genome analysis toolkit
 The AEGeAn Toolkit is designed for the Analysis and Evaluation of Genome
 Annotations. The toolkit includes a variety of analysis programs, e.g. for
 comparing distinct sets of gene structure annotations (ParsEval), computation
 of gene loci (LocusPocus) and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DH_VERBOSE=1

export DESTDIR=$(CURDIR)/debian/tmp
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')
ifeq ($(BITS),64)
  64BIT:=yes
else
  64BIT:=no
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=$(DESTDIR) 64bit=$(64BIT) errorcheck=no

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- useshared=yes 64bit=$(64BIT) testthreads=5
endif

override_dh_auto_install:
	dh_auto_install -- 64bit=$(64BIT) prefix=$(DESTDIR)

override_dh_installdocs:
	cp $(CURDIR)/README.md $(CURDIR)/README
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/README

override_dh_missing:
	dh_missing --list-missing

=== debian/tests/control ===
Tests: functional-tests
Depends: @, python3
